/* global angular, random */
angular.module("app").config([
    '$stateProvider',
    function ($stateProvider) {
        $stateProvider.state('main.caja_tag_retiro', {
            url: '/caja_tag/retiro',
            templateUrl: 'templates/caja/caja-retiro.html' + random,
            controller: 'CajaRetiroCtrl',
            resolve: {
                loadMyCtrl: [
                    '$ocLazyLoad',
                    function ($ocLazyLoad) {
                        return $ocLazyLoad.load([
                            'js/controllers/caja-tag-controllers.js' + random,
                            'js/services/caja-tag-services.js' + random
                        ]);
                    }
                ]
            }
        });
    }
]);